petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetPartitioner

Get the mesh partitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetPartitioner(DM dm, PetscPartitioner *part)

Not collective

### Input Parameter

dm -The DM

### Output Parameter

part -The PetscPartitioner

Note: This gets a borrowed reference, so the user should not destroy this PetscPartitioner.

### See Also

DMPlexDistribute(), DMPlexSetPartitioner(), PetscPartitionerCreate()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c

### Examples

src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages